Bug 1248153 - ostree plugin no longer needs gi_wrapper tool for 7.2+
ostree plugin no longer needs gi_wrapper tool for 7.2+
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 13:53 EDT by Adrian Likins
Modified: 2017-07-01 19:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2015-07-29 13:53:21 EDT
Description of problem:

subscription-manager/src/subscription_manager/plugin/ostree/gi_wrapper.py
is a wrapper script included for use by the ostree content plugin. The wrapper is necessary when using pygtk/gtk2 since gtk2 and gtk3 conflict in the same process.

Since the 7.2 version using gobject/gtk 3 and gobject introspection, it could import the Ostree module directly. 

It's inclusion needs to be conditional on the gtk version the package is installed with.
Comment 2 John Sefler 2015-09-25 12:18:14 EDT
deferring to rhel-7.3.0 due to schedule and severity

Note You need to log in before you can comment on or make changes to this bug.